<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="coff">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>coff</refname>
    <refpurpose> résolvante (méthode des cofacteurs)  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[N,d]=coff(M [,var])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>M  </term>
        <listitem>
          <para>matrice carrée réelle
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>var  </term>
        <listitem>
          <para>chaîne de caractères (indéterminée des polynômes)
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>N  </term>
        <listitem>
          <para>matrice de polynômes (de même taille que <literal>M</literal>)
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>d  </term>
        <listitem>
          <para>polynôme (polynôme caractéristique de M : <literal>poly(M,var)</literal>)
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>coff</literal> calcule R=<literal>(s*eye()-M)^-1</literal> pour <literal>M</literal> une matrice réelle. 
    R est donnée par <literal>N/d</literal>.
  </para>
    <para><literal>N</literal> = matrice des numérateurs (polynômes).
  </para>
    <para><literal>d</literal> = dénominateur commun.
  </para>
    <para><literal>var</literal> chaîne de caractères (indéterminée des polynômes, '<literal>s</literal>' par défaut)
  </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
M=[1,2;0,3];
[N,d]=coff(M)
N/d
inv(%s*eye()-M)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="coffg">coffg</link>
      </member>
      <member>
        <link linkend="ss2tf">ss2tf</link>
      </member>
      <member>
        <link linkend="nlev">nlev</link>
      </member>
      <member>
        <link linkend="poly">poly</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
